Kerbal Space Program - Bug #19589

Kerbal Personal Chutes Automatically Fire with Decoupling, when unfocused
08/29/2018 01:11 PM - XLjedi

Status: Closed Start date: 08/29/2018
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.5.0

Version: 1.4.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

This bug has been fully reproduced in pure stock 1.4.5.

When a command seat is occupied and then decoupled from the focused craft through staging, the kerbal's personal chute will
automatically fire when the stage separates from the main craft.

There is no indication that the personal chute has been added to the staging sequence for firing, and no way to control this. The
kerbal chutes just always fire when the stage they are on releases from the main craft and is unfocused.

Expected: the chute should never automatically fire during the decoupling.

Reproduction:

Load the attached Chute Stage Test craft in the VAB, make sure both command pods have Kerbals, and launch.

EVA both Kerbals, and board them into the two seats.

Note that the root part is on the portion of the craft attached to the launch clamp, and that neither seat is on that part of the craft.
Hit space to decouple the part of the craft with both seats and Kerbals on it.

Note that the lower Kerbal's parachute deploys on the unfocused part of the craft that just got decoupled.

Use [ to focus that piece of the craft.

Hit space to decouple the upper probe core and top seat -- also note that the root part of this craft is below the decoupler.

Note that the Kerbal's chute deploys.

Important non-reproduction:

The attached Chute Stage Test3 craft is identical to the first, but has been rerooted to the probe core on the decoupled side of the
craft.

If you repeat the above steps, neither of the parachutes deploy -- and the focus follows the pieces of the craft that are being
decoupled.

So retaining focus prevents the bug from happening.

In the very short video below, there are two command seats on a basic craft with stagin. The seat on the side is part of the first stage
to be fired, so the kerbal chute automatically "pops" as the craft is released. The command seat on top is separated by an additional
decoupler, so it's on a later stage and does not fire when the first stage fires. However, it will also fire automatically when the
associated staging is fired.

https://youtu.be/gyyPVwnJ8OM

History

#1 - 08/29/2018 09:01 PM - bewing
- File Chute Stage Test3.craft added

- Subject changed from Kerbal Personal Chutes Automatically Fire with Staging to Kerbal Personal Chutes Automatically Fire with Decoupling, when
unfocused

- Description updated

- Category changed from Bug Tracker to Gameplay
- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Expansion Making History added
https://youtu.be/gyyPVwnJ8OM

#2 - 10/15/2018 04:45 PM - joshua.collins
- Status changed from Confirmed to Ready to Test
- Target version set to 1.5.0

- % Done changed from 10 to 80

#3 - 10/26/2018 07:27 PM - Technicalfool
- File screenshot38.png added
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#4 - 10/26/2018 07:28 PM - Technicalfool

- Private changed from No to Yes

#5 - 10/26/2018 07:29 PM - Technicalfool

- Private changed from Yes to No

#6 - 10/26/2018 07:30 PM - Technicalfool
- File deleted (screenshot38.png)

#7 - 10/26/2018 07:35 PM - Technicalfool

Checked in 1.5.1. Chute no longer deploys with provided test craft, or any custom test craft.

#8 - 12/13/2018 12:54 AM - joshua.collins

- Status changed from Resolved to Closed

Files

Chute Stage Test.craft 31.8 KB 08/29/2018 XLjedi

Chute Stage Test3.craft 26.9 KB 08/29/2018 bewing
